Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Class SVNTextConflictDescription

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNConflictDescription
          org.tmatesoft.svn.core.wc.SVNTextConflictDescription

public class SVNTextConflictDescription
extends SVNConflictDescription

SVNTextConflictDescription brings information about conflict on a file.

Since:
  1.3
Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`SVNTextConflictDescription(SVNMergeFileSet mergeFiles, SVNNodeKind nodeKind, SVNConflictAction conflictAction, SVNConflictReason conflictReason)` Creates a new `SVNTextConflictDescription` object.

Method Summary
`String` | `getPropertyName()` Returns `null`.
`boolean` | `isPropertyConflict()` Returns `false`.
`boolean` | `isTextConflict()` Returns `true`.
`boolean` | `isTreeConflict()` Returns `false`.

Methods inherited from class org.tmatesoft.svn.core.wc.SVNConflictDescription
`getConflictAction, getConflictReason, getMergeFiles, getNodeKind, getPath, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVNTextConflictDescription

    public SVNTextConflictDescription(SVNMergeFileSet mergeFiles,
                                      SVNNodeKind nodeKind,
                                      SVNConflictAction conflictAction,
                                      SVNConflictReason conflictReason)

  Creates a new `SVNTextConflictDescription` object.

Parameters:
  `mergeFiles` - files involved in the merge
  `nodeKind` - node kind of the item which the conflict occurred on conflict; otherwise false
  `conflictAction` - action which lead to the conflict
  `conflictReason` - why the conflict ever occurred
Since:
  1.3

Method Detail

### isTextConflict

    public boolean isTextConflict()

  Returns `true`.

  Specified by:
    `isTextConflict` in class `SVNConflictDescription`
  Returns:
    true if it's a text conflict; otherwise false
  Since:
    1.3

### isPropertyConflict

    public boolean isPropertyConflict()

  Returns `false`.

  Specified by:
    `isPropertyConflict` in class `SVNConflictDescription`
  Returns:
    true if the conflict occurred while modifying a property; otherwise false
  Since:
    1.3

### isTreeConflict

    public boolean isTreeConflict()

  Returns `false`.

  Specified by:
    `isTreeConflict` in class `SVNConflictDescription`
  Returns:
    true if it's a tree conflict; otherwise false
  Since:
    1.3

### getPropertyName

    public String getPropertyName()

  Returns `null`.

  Specified by:
    `getPropertyName` in class `SVNConflictDescription`
  Returns:
    conflicted property name
  Since:
    1.3

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.